NEW in 0.3.15
=============
  * !88 Increase glib requirement to 2.66 so we can use GUri
  * !91 !90 net: add libsoup3 support with compile-time option
  * !92 net: Add documentation on throttling property in libsoup3
  * !86 Build fixes and cleanups

  * New translations
    * Abkhazian
    * Georgian
    * Persian

  * Updated translations
    * Hebrew
    * Bulgarian
    * Nepali

  * Contributors to this release:
    Ahmad Haghighi <haghighi.ahmad@gmail.com>
    Alexander Shopov <ash@kambanaria.org>
    Bastien Nocera <hadess@hadess.net>
    Naala Nanba <naala-nanba@rambler.ru>
    Pawan Chitrakar <chautari@gmail.com>
    Victor Toso <victortoso@gnome.org>
    Yaron Shahrabani <sh.yaron@gmail.com>
    Zurab Kargareteli <zuraxt@gmail.com>

NEW in 0.3.14
=============
  * !78 CVE-2016-20011: Fix TLS cert validation not being done for any network call
  * !80 Fix double-free when using GrlNet in Python
  * !71 Load config from GRL_CONFIG_PATH if set
  * !77 Clarify LGPLv2.1 or later license
  * !70 Handle numeric limits for GrlOperationOptions

  * New translations
    * Belarusian

  * Updated translations
    * Portuguese
    * Norwegian Bokmål
    * Galician
    * Russian
    * Finnish

  * Contributors to this release:
    Alexey Rubtsov <rushills@gmail.com>
    Bastien Nocera <hadess@hadess.net>
    Fran Dieguez <frandieguez@gnome.org>
    Jiri Grönroos <jiri.gronroos@iki.fi>
    Juliano Camargo <julianosc@protonmail.com>
    Kjartan Maraas <kmaraas@gnome.org>
    Rosen Penev <rosenp@gmail.com>
    Victor Toso <victortoso@gnome.org>
    Źmicier Turok <nashtlumach@gmail.com>

NEW in 0.3.13
=============
  * !56 Increase glib requirement to 2.58 or greater
  * !58 API addition: grl_related_keys_set_for_id()
  * !59 Fix trying to load .so.p files as plugins
  * !61 Fix crash using get_plugins() from bindings
  * Several other fixes and cleanups

  * Updated translations
    * Chinese (Taiwan)
    * Japanese
    * Ukrainian

  * Contributors to this release:
    Bastien Nocera <hadess@hadess.net>
    Boyuan Yang <073plan@gmail.com>
    Cheng-Chia Tseng <pswo10680@gmail.com>
    Daniel Korostil <ted.korostiled@gmail.com>
    Emin Tufan Çetin <etcetin@gmail.com>
    Jean Felder <jfelder@gnome.org>
    sicklylife <translation@sicklylife.jp>
    Victor Toso <me@victortoso.com>

NEW in 0.3.12
=============
  * #107 grl-source: Fix reference count in the bindings

  * Updated translations
    * Japanese
    * British English

  * Contributors to this release:
    Jean Felder <jfelder@gnome.org>

NEW in 0.3.11
=============
  * !52 pls: Support totem-pl-parser 3.26.4
  * !51 build: Add a Meson dependency variable for libgrlpls
  * !50 build: Avoid using meson.source_root()

  * Contributors to this release:
    Sam Thursfield <sam@afuera.me.uk>
    Bastien Nocera <hadess@hadess.net>

NEW in 0.3.10
=============
  * !48 - build: Use variables in pc files
  * !47 - fix grl_data_add_related_keys annotation
  * !46 - Use only one primary header for style

  * Contributors to this release:
    Jan Tojnar <jtojnar@gmail.com>
    Jean Felder <jean@small-ubu>
    Roger <sachanroger@gmail.com>
    Victor Toso <me@victortoso.com>
    worldofpeace <worldofpeace@protonmail.ch>

NEW in 0.3.9
============
  * !43 - grl-metadata-key: fix introspection
  * !42 - grl-inspect: Fix core keys extraction

  * Contributors to this release:
    Bastien Nocera <hadess@hadess.net>
    Victor Toso <me@victortoso.com>

NEW in 0.3.8
============
  * !35 - Add missing symbols to the docs
  * !36 - pls: Simplify thumbnail validity handling
  * !37 - media: Fix get_last_played annotation
  * !38 - Add metadata keys for MB Release ID and MB Release Group ID
  * Deprecates GRL_METADATA_KEY_MB_RELEASE_ID and GRL_METADATA_KEY_MB_RELEASE_GROUP_ID
  * Removes obsolte GRL_CAPS_TYPE and GRL_OPERATION_OPTIONS_TYPE

  * Updated translations
    * Basque
    * Greek
    * Dutch
    * Catalan

  * Contributors to this release:
    Andre Klapper <a9016009@gmx.de>
    Bastien Nocera <hadess@hadess.net>
    Efstathios Iosifidis <eiosifidis@gnome.org>
    Iñaki Larrañaga Murgoitio <dooteo@zundan.com>
    Jordi Mas <jmas@softcatala.org>
    Marinus Schraal <mschraal@gnome.org>
    Nathan Follens <nathan@anche.no>
    Sumaid Syed <sumaidsyed@gmail.com>
    Victor Toso <me@victortoso.com>
  
NEW in 0.3.7
============
  * !33 - Fix crash in totem after emitting source-{add remove}
  * !32 - Add grl_related_keys_{get,set}_int64 functions
  * !24 - Support transform GValue on grl_data_*_for_id()
  * !20 - Add per Source configs on keyfile
  * !17 - Pattern matching for GRL_PLUGIN_RANKS
  * !26, !28 - Documentation improvements
  * Removed Autotools supported

  * New translations
    * Finnish

  * Updated translations
    * Lithuanian
    * French
    * Korean
    * Turkish
    * Galician
    * Danish
    * Latvian
    * Croatian
    * Serbian
    * Malayalam
    * Occitan
    * Slovak
    * Esperanto

  * Contributors to this release:
    Ask Hjorth Larsen <asklarsen@gmail.com>
    Athul R T <athul111@gmail.com>
    Aurimas Černius <aurisc4@gmail.com>
    Balasankar C <balasankarc@autistici.org>
    Bastien Nocera <hadess@hadess.net>
    Çağatay Yiğit Şahin <cyigitsahin@outlook.com>
    Carmen Bianca BAKKER <carmen@carmenbianca.eu>
    Cédric Valmary <cvalmary@yahoo.fr>
    Charles Monzat <charles.monzat@numericable.fr>
    Debarshi Ray <debarshir@gnome.org>
    Dušan Kazik <prescott66@gmail.com>
    Fran Dieguez <frandieguez@gnome.org>
    gogo <trebelnik2@gmail.com>
    Jean Felder <jean.felder@estimages.com>
    Jiri Grönroos <jiri.gronroos@iki.fi>
    Juan A. Suarez Romero <jasuarez@igalia.com>
    Marinus Schraal <mschraal@gnome.org>
    Piotr Drąg <piotrdrag@gmail.com>
    Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>
    Seong-ho Cho <shcho@gnome.org>
    Thiago Mendes <thiago@posteo.de>
    Victor Toso <me@victortoso.com>
    Марко Костић <marko.m.kostic@gmail.com>

NEW in 0.3.6
============
  * Last release with Autotools included

  * Updated translations
    * Italian

  * Bugs fixed and enhancements:
    * issue !1 - Add tooling to have GrlData to register a
      metadata-key if needed with the new APIs
      grl_data_set_for_id() and grl_data_add_for_id
    * Add support to build of grl-inspect with Python3

NEW in 0.3.5
============
  * New translations
    * Croatian
    * Romanian
    * Slovenian

  * Updated translations
    * Hungarian
    * Romanian
    * Friulian
    * Indonesian
    * Spanish
    * German
    * Czech
    * Chinese
    * Swedish
    * Polish
    * Brazilian Portuguese
    * Catalan
    * Turkish
    * Danish

  * Bugs fixed:
    * !10 - Add support to g_autoptr
    *  !9 - Use GMenu and GAction on grilo-test-ui
    *  #4 - Include meson in releases
    *  #2 - Add missing metadata-keys to vala bindings

  * Contributors to this release:
    1PunMan <saurabhsingh412@gmail.com>
    Anders Jonsson <anders.jonsson@norsjovallen.se>
    Andika Triwidada <atriwidada@gnome.org>
    Ask Hjorth Larsen <asklarsen@gmail.com>
    Balázs Meskó <meskobalazs@fedoraproject.org>
    Christophe Fergeau <cfergeau@redhat.com>
    Claude Paroz <claude@2xlibre.net>
    Daniel Mustieles <daniel.mustieles.contractor@bbva.com>
    Daniel Șerbănescu <daniel@serbanescu.dk>
    Emin Tufan Çetin <etcetin@gmail.com>
    Fabio Tomat <f.t.public@gmail.com>
    gogo <trebelnik2@gmail.com>
    Jordi Mas <jmas@softcatala.org>
    Marek Cernocky <marek_cernocky@conel.cz>
    Mario Blättermann <mario.blaettermann@gmail.com>
    Matej Urbančič <mateju@svn.gnome.org>
    Piotr Drąg <piotrdrag@gmail.com>
    Rafael Fontenelle <rafaelff@gnome.org>
    veer <bveer428@gmail.com>
    Victor Toso <me@victortoso.com>
    Xavi Ivars <xavi.ivars@gmail.com>
    Yi-Jyun Pan <pan93412@gmail.com>
    Yi-Soo An <yisooan@gmail.com>

NEW in 0.3.4
============
  * Add Nepali translation
  * Updated Esperanto translation

  * Bugs fixed:
    * BGO#707643 - flickr: populate GrlMediaImage with EXIF data
    * BGO#778612 - Meson build has incomplete introspection and docs

  * Contributors to this release:
    Emmanuele Bassi <ebassi@gnome.org>
    Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
    Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
    Pawan Chitrakar <chautari@gmail.com>
    Rafael Fonseca <r4f4rfs@gmail.com>
    Victor Toso <me@victortoso.com>

NEW in 0.3.3
============
  * Support to Meson build included
  * Updated Travis CI to use docker and support meson builds
  * Updated translations

  * Bugs fixed:
    * BGO#771339 - Test: tracker-backend.vala:211: Falling back to bus backend
    * BGO#773422 - net: Always return an error on failure
    * BGO#774394 - gir break since commit 463d94d6022d
    * BGO#774578 - test_net_wc_throttling_cb: assertion failed
    * BGO#775950 - Add Meson build support in grilo core

  * Contributors to this release:
    Alexander Shopov <ash@kambanaria.org>
    Bastien Nocera <hadess@hadess.net>
    David King <amigadave@amigadave.com>
    Dominique Leuenberger <dimstar@opensuse.org>
    Juan A. Suarez Romero <jasuarez@igalia.com>
    Marinus Schraal <mschraal@src.gnome.org>
    Victor Toso <me@victortoso.com>
    liushuyu <liushuyu_011@126.com>


NEW in 0.3.2
============

  * Updated translations

  * Bugs fixed:
    * BGO#766386 - GrlSource resolution functions don't declare taking
      ownership of media param
    * BGO#769331 - Fix throttling in core and lua-factory
    * BGO#769830 - Fix annotation

  * Contributors to this release:
    Adrien Plazas <kekun.plazas@laposte.net>
    Andika Triwidada <atriwidada@gnome.org>
    Bastien Nocera <hadess@hadess.net>
    Juan A. Suarez Romero <jasuarez@igalia.com>
    Mathieu Bridon <bochecha@daitauha.fr>
    Piotr Drąg <piotrdrag@gmail.com>
    Reinout van Schouwen <reinouts@gnome.org>
    Victor Toso <me@victortoso.com>

NEW in 0.3.1
============

  * Updated translations
  * Added new keys: GRL_METADATA_KEY_ALBUM_DISC_NUMBER,
    GRL_METADATA_KEY_COMPOSER, GRL_METADATA_KEY_ALBUM_ARTIST
  * Deprecated GRL_NET errors in favour of GRL_IO errors

  * Bugs fixed:
    * BGO#732879 - AcoustID source
    * BGO#760426 - [PATCH] grl-inspect-0.3 --help and grl-launch-0.3 --help
      shows translated characters as question marks on some locales
    * BGO#760648 - filename leaks in grl_registry_load_plugin_directory
    * BGO#761820 - configure doesn't fail if libsoup not available
    * BGO#761868 - [PATCH] add album disc key
    * BGO#763009 - [PATCH] add several audio related keys
    * BGO#764077 - Cancellation doesn't work

  * Contributors to this release:
    Alexandre Franke <alexandre.franke@gmail.com>
    Anders Jonsson <anders.jonsson@norsjovallen.se>
    Andika Triwidada <andika@gmail.com>
    Ask Hjorth Larsen <asklarsen@gmail.com>
    Aurimas Černius <aurisc4@gmail.com>
    Balázs Meskó <meskobalazs@gmail.com>
    Bastien Nocera <hadess@hadess.net>
    Bernd Homuth <dev@hmt.im>
    Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
    Cédric Valmary <cvalmary@yahoo.fr>
    Daniel Mustieles <daniel.mustieles@gmail.com>
    Dušan Kazik <prescott66@gmail.com>
    Efstathios Iosifidis <eiosifidis@gnome.org>
    Enrico Nicoletto <liverig@gmail.com>
    Fabio Tomat <f.t.public@gmail.com>
    Fran Dieguez <fran.dieguez@mabishu.com>
    Inaki Larranaga Murgoitio <dooteo@zundan.com>
    Juan A. Suarez Romero <jasuarez@igalia.com>
    Kjartan Maraas <kmaraas@gnome.org>
    Marek Černocký <marek@manet.cz>
    Marinus Schraal <mschraal@src.gnome.org>
    Matej Urbančič <mateju@svn.gnome.org>
    Milo Casagrande <milo@ubuntu.com>
    Pedro Albuquerque <palbuquerque73@gmail.com>
    Piotr Drąg <piotrdrag@gmail.com>
    Rūdolfs Mazurs <rudolfsm@src.gnome.org>
    Seong-ho Cho <shcho@gnome.org>
    Tim Lunn <tim@feathertop.org>
    Ting-Wei Lan <lantw@src.gnome.org>
    Victor Toso <me@victortoso.com>
    Yosef Or Boczko <yoseforb@src.gnome.org>
    Yuri Myasoedov <ymyasoedov@yandex.ru>
    Мирослав Николић <miroslavnikolic@rocketmail.com>


NEW in 0.3.0
============

  * New major version
  * Updated i18n translations
  * "last-played-time" now is a GDateTime key, instead of string
  * Support builtin plugins
  * Get rid of XML plugin definitions
  * New way of defining plugins (GRL_PLUGIN_DEFINE)
  * Plugins must be explicitly activated after loading them
  * Merge GrlMedia{Audio,Video,Image,Box} in GrlMedia
  * Bugs fixed:
    * BGO#686175 - "last-played-time" declared as string, instead of date-time
    * BGO#745676 - core: Fix warning when unloading a plugin that failed to load
    * BGO#747026 - core: Add a way to load builtin plugins
    * BGO#747029 - source: Only replace source ID in notify if unset
    * BGO#747953 - Information leak via plain text HTTP connection
    * BGO#748455 - Some cleanup I made in grilo, I want to implement a test for
      GrlMediaContainer in a separate branch
    * BGO#748550 - Unregister custom keys on grl_registry_unload_plugin
    * BGO#748873 - Documentation and precondition fixes for media resolution
    * BGO#748896 - src: Try all GrlSources in grl_multiple_get_media_from_uri()
    * BGO#749587 - Fix make distcheck.
    * BGO#749887 - Fix coverity bugs
    * BGO#754093 - grilo-plugins tests fail if build machine has no internet
      connectivity
    * BGO#754401 - grilo-test-ui: Fix warning about deprecated gtk-menu-images
    * BGO#755368 - 'make clean' removes Vala .deps files
    * BGO#755433 - grl_pls_browse_sync() is not introspectable
    * BGO#755516 - build: fix build due syntax error
    * BGO#755551 - remove media specifiers as subclasses
    * BGO#755702 - Show better configuration information
    * BGO#758654 - Fix tracker serialisation
    * BGO#758655 - grl-launch fixes
    * BGO#759295 - Get rid of XML plugins descriptors

  * Contributors to this release:
    Alexandre Franke <alexandre.franke@gmail.com>
    Anders Jonsson <anders.jonsson@norsjovallen.se>
    Andika Triwidada <andika@gmail.com>
    Ask Hjorth Larsen <asklarsen@gmail.com>
    Aurimas Černius <aurisc4@gmail.com>
    Balázs Úr <urbalazs@gmail.com>
    Bastien Nocera <hadess@hadess.net>
    Bernd Homuth <dev@hmt.im>
    Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
    Claudio Arseni <claudio.arseni@gmail.com>
    Cédric Valmary <cvalmary@yahoo.fr>
    Daniel Mustieles <daniel.mustieles@gmail.com>
    Dušan Kazik <prescott66@gmail.com>
    Emmanuele Bassi <ebassi@gnome.org>
    GNOME Translation Robot <gnome-sysadmin@gnome.org>
    George Sedov <radist.morse@gmail.com>
    Inaki Larranaga Murgoitio <dooteo@zundan.com>
    Juan A. Suarez Romero <jasuarez@igalia.com>
    Marek Černocký <marek@manet.cz>
    Matej Urbančič <mateju@svn.gnome.org>
    Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>
    Muhammet Kara <muhammetk@gmail.com>
    Olav Vitters <olav@vitters.nl>
    Pedro Albuquerque <palbuquerque73@gmail.com>
    Philip Withnall <philip.withnall@collabora.co.uk>
    Piotr Drąg <piotrdrag@gmail.com>
    Rūdolfs Mazurs <rudolfsm@src.gnome.org>
    Samir Ribic <samir.ribic@etf.unsa.ba>
    Seong-ho Cho <shcho@gnome.org>
    Tom Tryfonidis <tomtryf@gmail.com>
    Victor Toso <me@victortoso.com>
    Xavier Claessens <xavier.claessens@collabora.com>
    Yosef Or Boczko <yoseforb@src.gnome.org>
    Милош Поповић <gpopac@gmail.com>


NEW in 0.2.12
=============

  * Add man pages for grilo-test-ui and grl-launch
  * Modernized Vala bindings
  * Sources are network aware
  * Added new keys: GRL_METADATA_KEY_MB_TRACK_ID, GRL_METADATA_KEY_MB_ARTIST_ID,
    GRL_METADATA_KEY_MB_RECORDING_ID, GRL_METADATA_KEY_EPISODE_TITLE,
    GRL_METADATA_KEY_AUDIO_TRACK
  * Added new functions: grl_data_set_int64(), grl_data_get_int64(),
    grl_data_add_int64(), grl_media_audio_set_mb_artist_id(),
    grl_media_audio_set_mb_recording_id(), grl_media_audio_set_mb_track_id(),
    grl_media_audio_add_mb_artist_id(), grl_media_audio_get_mb_artist_id(),
    grl_media_audio_get_mb_artist_id_nth(),
    grl_media_audio_get_mb_recording_id(), grl_media_audio_get_mb_track_id(),
    grl_media_video_set_episode_title(), grl_media_video_get_episode_title(),
    grl_related_keys_set_int64(), grl_related_keys_get_int64()
  * Deprecated functions: grl_operation_options_set_flags() [for
    grl_operation_options_set_resolution_flags()],
    grl_operation_options_get_resolution_flags() [for
    grl_operation_options_get_resolution_flags()].
  * Added new plugin register function: GRL_PLUGIN_REGISTER_FULL()
  * Renamed GrlOperationOptions "flags" to "resolution-flags"
  * Several fixes, including:
    * BGO#724308 - Make it possible to pass "flags" to "remove()
    * BGO#725148 - Automatic network awareness
    * BGO#730663 - vala bindings: all defines in grl-definitions.h are missing
      in the bindings
    * BGO#732878 - Include mb-track-id and mb-artist-id metadata key
    * BGO#740113 - Fix compilation warning
    * BGO#740128 - Add missing GRL_OP_STORE to supported ops
    * BGO#740186 - Modernize vala bindings
    * BGO#740761 - Correct "file size" metadata key
    * BGO#740942 - core: Fix excessive ref'ing when registering new keys
    * BGO#740943 - core: Add register_keys plugin function
    * BGO#741020 - core: Add tag to grl_operation_options_get_key_range_filter
    * BGO#741081 - data/grl-media-audio.c: Non-void function should return a
      value
    * BGO#741207 - Minor fixes at local-metadata and thetvdb
    * BGO#741230 - MusicBrainz source to Grilo
    * BGO#741315 - Vala bindings build fixes
    * BGO#741605 - core: Make the property name match the metadata key name
    * BGO#742645 - error: ENABLE_VAPIGEN does not appear in AM_CONDITIONAL
    * BGO#743351 - core: Make grl_init_get_option_group() available to bindings
    * BGO#743353 - core: Fix grl_init() when using the GOptionGroup instead
    * BGO#744168 - core: Add "audio-track" property
    * BGO#744408 - Memory leak in get_additional_sources
  * Added/updated support for i18n
    * Punjabi
    * Swedish
    * Turkish

  * Contributors to this release:
    A S Alam <aalam@users.sf.net>
    Adrião Morão <amoran@igalia.com>
    Alberto Garcia <berto@igalia.com>
    Anders Jonsson <anders.jonsson@norsjovallen.se>
    Bastien Nocera <hadess@hadess.net>
    Juan A. Suarez Romero <jasuarez@igalia.com>
    Marc-André Lureau <marcandre.lureau@gmail.com>
    Muhammet Kara <muhammetk@gmail.com>
    Sebastian Keller <sebastian-keller@gmx.de>
    Ting-Wei Lan <lantw@src.gnome.org>
    Victor Toso <me@victortoso.com>


NEW in 0.2.11
=============

  * Fixes in build system
  * Generate AUTHORS file automatically
  * Added new keys: GRL_METADATA_KEY_TITLE_FROM_FILENAME,
    GRL_METADATA_KEY_MB_ALBUM_ID
  * Added new tool: grl-launch, to run Grilo operations from command line
  * Several fixes, including
    * BGO#706877 - Let TheMovieDb resolver perform searches based on file name
    * BGO#726698 - core: More cleanups
    * BGO#727223 - Add grl-launch tool
    * BGO#728812 - GrlPlsFilterFunc is missing from the doc
    * BGO#730003 - core: Fix reference to renamed functions
    * BGO#730548 - GRL_METADATA_KEY_INVALID is missing in the Vala bindings
    * BGO#731282 - Add GRL_METADATA_KEY_MB_ALBUM_ID to core keys
    * BGO#733232 - rhythmbox crashes while using jamendo due to double free in
      libgrilo
    * BGO#733285 - gboolean grl_initialized should be reset to FALSE in
      grl_deinit
  * Added/updated support for i18n
    * Basque (new)
    * Greek
    * Serbian
    * Turkish (new)

  * Contributors to this release:
    Andres Gomez <agomez@igalia.com>
    Bastien Nocera <hadess@hadess.net>
    Inaki Larranaga Murgoitio <dooteo@zundan.com>
    Juan A. Suarez <jasuarez@igalia.com>
    Juan A. Suarez Romero <jasuarez@igalia.com>
    MarMav <mavridou@gmail.com>
    Muhammet Kara <muhammetk@gmail.com>
    Olav Vitters <olav@vitters.nl>
    Oliver Krylow <okrylow@gmail.com>
    Piotr Drąg <piotrdrag@gmail.com>
    Simon Wenner <simon@wenner.ch>
    Victor Toso <me@victortoso.com>
    Xavier Claessens <xavier.claessens@collabora.com>
    Мирослав Николић <miroslavnikolic@rocketmail.com>


NEW in 0.2.10
=============

  * Increase glib requirement to 2.34 or greater
  * Added new property in GrlSource: "source-tags"
  * Added new signal in GrlRegistry: "metadata-key-added"
  * Added new functions: grl_media_{set,get}_size()
  * Added new key: GRL_METADATA_KEY_SIZE
  * Updated man page
  * Several fixes, including:
    * BGO#629002 - Add GRL_METADATA_KEY_SIZE
    * BGO#724019 - core: Add "source-tags" property
    * BGO#724648 - Vala dependency is not correctly detected
    * BGO#724658 - test-ui: Fix crasher on exit
    * BGO#724660 - Warnings on exit
    * BGO#724871 - Warning fixes
    * BGO#725419 - core: Add names to all the timeouts and idles
    * BGO#726197 - grilo should not ignore ${libdir} and hardcode lib64
    * BGO#726340 - core: Add guards for public API
  * Added/Updated support for i18n
    * Swedish (new)

  * Contributors to this release:
    Bastien Nocera <hadess@hadess.net>
    Juan A. Suarez Romero <jasuarez@igalia.com>
    Marcus Lundblad <ml@update.uu.se>
    Ryan Lortie <desrt@desrt.ca>


NEW in 0.2.9
============

  * Several fixes, including
    * BGO#724620 - core: Fix introspection scanner warnings
    * BGO#724540 - pls: Return an error when the entry media is of the wrong type
    * BGO#724430 - Remove check for libvala in configure.ac

  * Contributors to this release:
    Bastien Nocera <hadess@hadess.net>
    Colin Walters <walters@verbum.org>
    Juan A. Suarez Romero <jasuarez@igalia.com>


NEW in 0.2.8
============

  * Added support for Vala 0.22 and 0.24
  * Bump required libglib version to 2.32
  * Added new core function: grl_deinit()
  * Added new property in GrlSource: "source-icon"
  * Added a new library: Grilo Playlist, to handle playlists as containers
  * Several fixes, including
    * BGO#657926 - add per-source icon
    * BGO#695303 - new feature: grilo playlist library
    * BGO#709208 - search instead of browse vs upnp server that does not support
      search via parentID
    * BGO#709651 - Double free when running tests
    * BGO#710185 - grilo-inspect leaves empty directories in /tmp
    * BGO#722358 - Add grl_registry_add_config_from_resource
    * BGO#722398 - core: Add unit to duration
    * BGO#722407 - Grilo build | `GLib.Icon' could not be found
    * BGO#723077 - Use the GrlSource::source-icon property in grilo-test-ui
    * BGO#723191 - Support Vala 0.24
    * BGO#723989 - Misc build fixes
    * BGO#724018 - core: Fix "Since" in GrlSource::source-icon docs
  * Added/Updated support for i18n
    * Catalan (new)
    * Catalan Valencian (new)
    * Chinese
    * Esperanto (new)
    * German
    * Greek
    * Hebrew (new)
    * Hungarian (new)
    * Malayalam
    * Norwegian bokmål
    * Portuguese
    * Tajik
    * Ukrainian (new)
  * Contributors to this release:
    Alban Browaeys <prahal@yahoo.com>
    Anish A <aneesh.nl@gmail.com>
    Bastien Nocera <hadess@hadess.net>
    Carles Ferrando <carles.ferrando@gmail.com>
    Colin Walters <walters@verbum.org>
    Daniel Korostil <ted.korostiled@gmail.com>
    Dominique Leuenberger <dimstar@opensuse.org>
    Efstathios Iosifidis <iosifidis@opensuse.org>
    Emanuele Aina <emanuele.aina@collabora.com>
    Fernando Carvalho <phaetonkde@gmail.com>
    Gabor Kelemen <kelemeng@gnome.hu>
    Gil Forcada <gforcada@gnome.org>
    Jacobo Aragunde Pérez <jaragunde@igalia.com>
    Juan A. Suarez Romero <jasuarez@igalia.com>
    Kjartan Maraas <kmaraas@gnome.org>
    Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
    Mateu Batle <mateu.batle@collabora.com>
    Victor Ibragimov <victor.ibragimov@gmail.com>
    Victor Manuel Jaquez Leal <vjaquez@igalia.com>
    Wolfgang Stöggl <c72578@yahoo.de>
    Wylmer Wang <wantinghard@gmail.com>
    Yosef Or Boczko <yoseforb@src.gnome.org>


NEW in 0.2.7
============

  * Added Travis CI support for building
  * Bump required libsoup version to 2.4
  * Re-factored Grilo Net library and fixed several bugs
  * Show 'slow' keys in grl-inspect
  * Updates in documentation
  * Added new core function: grl_operation_set_data_full()
  * Several fixes, including
    * BGO#700478 - grilo-test-ui-0.2 segfaults
    * BGO#704804 - typo in src/grl-registry.c
    * BGO#705944 - core: Add grl_operation_set_data_full()
    * BGO#706132 - build: Various srcdir != builddir fixes
    * BGO#706412 - filesystem plugin filters all on GRL_FILTER_TYPE_NONE (patch)
    * BGO#706487 - doc: Updates and fixes
    * BGO#706491 - build: Switch to git.mk to keep the .gitignore file updated
    * BGO#706495 - core: Use g_clear_error()/g_clear_object()/g_list_free_full()
    * BGO#706805 - libgrlnet mock data facility's ignored-parameters feature
      crashes for queries without parameters.
    * LP#1224410 - Last.fm plugin causes file descriptor starvation
  * Added/Updated support for i18n
    * Assamese (new)
    * Brazilian Portuguese
    * Chinese simplified (new)
    * Czech
    * Danish (new)
    * French (new)
    * Galician
    * German (new)
    * Indonesian (new)
    * Italian (new)
    * Japanese (new)
    * Korean (new)
    * Latvian (new)
    * Lithuanian (new)
    * Norwegian bokmål (new)
    * Polish
    * Punjabi (new)
    * Russian (new)
    * Serbian
    * Slovak (new)
    * Slovenian
    * Spanish
    * Traditional Chinese (new)

  * Contributors to this release:
    Alexandre Franke <alexandre.franke@gmail.com>
    Andika Triwidada <andika@gmail.com>
    A S Alam <apreet.alam@gmail.com>
    Ask H. Larsen <asklarsen@gmail.com>
    Aurimas Černius <aurisc4@gmail.com>
    Bastien Nocera <hadess@hadess.net>
    Benjamin Steinwender <b@stbe.at>
    Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
    Christian Kirbach <Christian.Kirbach@googlemail.com>
    Claudio Arseni <claudio.arseni@ubuntu.com>
    Colin Walters <walters@verbum.org>
    Dušan Kazik <prescott66@gmail.com>
    Emanuele Aina <emanuele.aina@collabora.com>
    Enrico Nicoletto <liverig@gmail.com>
    Evgeny Bobkin <evgen.ibqn@gmail.com>
    Fran Diéguez <fran.dieguez@mabishu.com>
    Jiro Matsuzawa <jmatsuzawa@gnome.org>
    Juan A. Suarez Romero <jasuarez@igalia.com>
    Kenneth Nielsen <k.nielsen81@gmail.com>
    Kjartan Maraas <kmaraas@gnome.org>
    leo <leo@Satan>
    Marek Černocký <marek@manet.cz>
    Matej Urbančič <mateju@svn.gnome.org>
    Nilamdyuti Goswami <ngoswami@redhat.com>
    Nishio Futoshi <fut_nis@d3.dion.ne.jp>
    Piotr Drąg <piotrdrag@gmail.com>
    Rafael Ferreira <rafael.f.f1@gmail.com>
    Rūdolfs Mazurs <rudolfsm@src.gnome.org>
    Seong-ho Cho <darkcircle.0426@gmail.com>
    Мирослав Николић <miroslavnikolic@rocketmail.com>
    甘露(Gan  Lu) <rhythm.gan@gmail.com>


NEW in 0.2.6
============

  * Fixed GrlNet cache
  * Added support for Vala 0.20
  * Improved test-ui
  * Some fixes, including
    * BGO#696860 - filesystem: Add support for non-file URIs
    * BGO#697175 - Grilo's flickr plugin using OAuth
    * BGO#700310 - Soup HTTP cache size incorrectly set
    * BGO#700311 - Use a different cache per plugin
  * Added new functions in GrlConfig
    * grl_config_get_api_token_secret()
    * grl_config_set_api_token_secret()
  * Added support for i18n
    * Brazilian
    * Czech
    * Galician
    * Greek
    * Polish
    * Serbian
    * Slovenian
    * Spanish
    * Tajik
  * Improved grl-inspect
    * Print list of available keys
    * Show more information about plugins

  * Contributors to this release:
    Alberto Garcia <agarcia@igalia.com>
    Bastien Nocera <hadess@hadess.net>
    Dimitris Spingos <dmtrs32@gmail.com>
    Fran Diéguez <fran.dieguez@mabishu.com>
    Juan A. Suarez Romero <jasuarez@igalia.com>
    Kalev Lember <kalevlember@gmail.com>
    Marek Černocký <marek@manet.cz>
    Marek Chalupa <mchalupa@redhat.com>
    Martin Srebotnjak <miles@filmsi.net>
    Matej Urbančič <mateju@svn.gnome.org>
    Miguel Rodriguez Núñez <bokerones.fritos@gmail.com>
    Piotr Drąg <piotrdrag@gmail.com>
    Rafael Ferreira <rafael.f.f1@gmail.com>
    Sergio Villar Senin <svillar@igalia.com>
    Victor Ibragimov <victor.ibragimov@gmail.com>
    Мирослав Николић <miroslavnikolic@rocketmail.com>


NEW in 0.2.5
============

  * Fixed compilation problem with gcc 4.2
  * Removed some warnings
  * Several changes in test-ui
    * Add filtering by type
    * Print multi-valued elements
  * Several fixes, including:
    * BGO#689577 - autogen.sh does not pass all arguments correctly to gnome-autogen.sh
    * BGO#690612 - grilo: Explain why module could not be loaded
    * BGO#690613 - grilo: Downgrade init failure to a debug statement
    * BGO#692118 - [PATCH] Fix build with automake 1.13
    * BGO#692873 - GrlOperationOptions leaked in grl_source_get_media_from_uri()
    * BGO#694390 - Assertion when calling grl_registry_unload_plugin() twice

  * Contributors to this release:
    * Bastien Nocera <hadess@hadess.net>
    * Evan Nemerson <evan@coeus-group.com>
    * Juan A. Suarez Romero <jasuarez@igalia.com>
    * Mike Ruprecht <mike.ruprecht@collabora.co.uk>
    * Nuno Araujo <nuno.araujo@russo79.com>


NEW in 0.2.4
============

  * Fixed compilation problem with gcc 4.2
  * Improved documetation
  * Added support for boolean, float and datetime keys in filters
  * Some fixes in core, including:
    * BGO#688301 - docs: GrlMedia: Improve certificate/region function docs
    * BGO#689053 - grl-source: fix compare_queue_element function

  * Contributors to this release:
    * Andrzej Bieniek <andyhelp@gmail.com>
    * Jasper Lievisse Adriaanse <jasper@humppa.nl>
    * Juan A. Suarez Romero <jasuarez@igalia.com>
    * Murray Cumming <murrayc@murrayc.com>


NEW in 0.2.3
============

  * Added TMDb plugin in the Test UI program
  * grl_source_resolve() can be invoked with sources that do not implement it
  * grl_source_store_metadata() can be invoked with sources that do not
    implement it
  * Added support for mocking network answers, for testing purpose
  * Added support for capturing network content, for testing purpose
  * Improved (de)serialization: support all metadata key types and multi-valued
    elements
  * Added new keys: GRL_METADATA_KEY_FAVOURITE, GRL_METADATA_KEY_REGION,
    GRL_METADATA_KEY_KEYWORD, GRL_METADATA_KEY_PERFORMER,
    GRL_METADATA_KEY_PRODUCER, GRL_METADATA_KEY_DIRECTOR,
    GRL_METADATA_KEY_ORIGINAL_TITLE
  * Sources can expose the type of media they can handle
  * Improved documentation
  * Several fixes, including
    * BGO#679686 - GRL_METADATA_KEY_CERTIFICATE doesn't consider regional
      ratings
    * BGO#685274 - Use GRL_METADATA_KEY_INVALID instead of NULL with
      grl_metadata_key_list_new()
    * BGO#685861 - Add GRL_METADATA_KEY_FAVOURITE
    * BGO#685967 - Support mocking of network answers
    * BGO#686032 - doc: Fix typo in _grl_log_init_core_domains()
    * BGO#686033 - core: Don't crash with NULL options in _resolve()
    * BGO#686206 - Move generic TMDB metadata keys to libgrilo.
    * BGO#686271 - linking issue on ARM
    * BGO#687104 - Searching all doesn't finalizes

  * Contributors to this release:
    * Antía Puentes <apuentes@igalia.com>
    * Bastien Nocera <hadess@hadess.net>
    * Dominique Leuenberger <dimstar@opensuse.org>
    * Jens Georg <jensg@openismus.com>
    * Juan A. Suarez Romero <jasuarez@igalia.com>
    * Mathias Hasselmann <mathias@openismus.com>
    * Murray Cumming <murrayc@murrayc.com>
    * Murray Cumming <murrayc@openismus.com>


NEW in 0.2.2
============

  * Rename macro from GRL_CAPS_TYPE to GRL_TYPE_CAPS
  * Sort entries in documentation
  * Several fixes, including:
    * BGO#680436 - net: Add possibility to set custom HTTP headers on requests

  * Contributors to this release:
    * Jens Georg <jensg@openismus.com>
    * Juan A. Suarez Romero <jasuarez@igalia.com>
    * Mathias Hasselmann <mathias@openismus.com>


NEW in 0.2.1
============

  * Use G_MODULE_BIND_LOCAL to load modules
  * Less disturbances using warnings instead of errors
  * Add option to disable Test UI
  * Several fixes, including:
    * BGO#681757 - grilo-tests / pointer from int
    * BGO#681983 - Pointer cast warning in grl-source.c
    * BGO#681984 - sync source functions freeze on bad pre-conditions
    * BGO#681992 - C++ guards missing in some header files
    * BGO#682024 - Uninitialized data access in grl_source_get_media_from_uri()
    * BGO#682791 - Fix display of non-ASCII strings in test-ui
    * BGO#682793 - Clarify some documentations
    * BGO#682855 - Memory leak in grl_source_test_media_from_uri_sync()
    * BGO#685161 - grl_source_store() causes segfault if the plugin reports an error
    * BGO#685169 - grl_source_store() doesn't obey GRL_WRITE_NORMAL

  * Contributors to this release:
    * Bastien Nocera <hadess@hadess.net>
    * Jens Georg <jensg@openismus.com>
    * Juan A. Suarez Romero <jasuarez@igalia.com>
    * Mathias Hasselmann <mathias@openismus.com>


NEW in 0.2.0
============

  * Merged GrlMediaSource and GrlMetadataSource in one GrlSource
  * Improvements in the full resolution algorithm
  * Added operation options and source capabilities
  * Added filtering capabilities
  * Added GRL_METADATA_KEY_START_TIME key
  * Added GRL_METADATA_KEY_PUBLICATION_DATE key
  * Added GRL_METADATA_KEY_MODIFICATION_DATE key
  * Removed GRL_METADATA_KEY_DATE
  * Changes in API names
  * Added support for Vala 0.14 - 0.18
  * Added support for Windows building
  * Fixes in the Test UI
  * Use GDateTime for date-based keys
  * Use numbers to identify metadata keys
  * Improvements in Grilo Net library
  * Improvements in Vala bindings
  * Improvements in documentation
  * Improvements in the build system
  * Several fixes, including:
    * BGO#662748 - tracker plugin: support multiple resources in a larger fil
    * BGO#662762 - critical when HTTP request fails
    * BGO#662763 - Bad unref in grl-net
    * BGO#665938 - Do not dist gir_DATA
    * BGO#672923 - Make it possible to override the user-agent in GrlNetWc
    * BGO#676822 - test-ui: Make the test window a decent size
    * BGO#676823 - test-ui: We only really support GTK+ 3.x builds
    * BGO#679674 - Remove trailing commas from enums

  * Contributors to this release:
    Alberto Garcia <agarcia@igalia.com>
    Bastien Nocera <hadess@hadess.net>
    César García Tapia <tapia@openshine.com>
    Damien Lespiau <damien.lespiau@intel.com>
    Guillaume Emont <guijemont@igalia.com>
    Iago Toral Quiroga <itoral@igalia.com>
    Jens Georg <mail@jensge.org>
    Juan A. Suarez Romero <jasuarez@igalia.com>
    Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>
    Mathias Hasselmann <mathias@openismus.com>
    Murray Cumming <murrayc@murrayc.com>
    Sam Thursfield <sam.thursfield@codethink.co.uk>
    Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
    Yaakov Selkowitz <yselkowitz@users.sourceforge.net>


NEW in 0.1.17
=============

  * Minor improvements in documentation
  * Well-manage end of search/browse in splitted sources
  * Minor fixes in build system
  * Install XML files in the same place as libraries
  * Restrict loading of a subset of plugins
  * Added support for Vala 0.14
  * Fixed some bugs, including:
    * BGO#657549 - add GRL_METADATA_KEY_TRACK_NUMBER
    * BGO#657920 - Add Grilo documentation

  * Contributors to this release:
    Guillaume Emont <guijemont@igalia.com>
    Juan A. Suarez Romero <jasuarez@igalia.com>
    Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>


NEW in 0.1.16
=============

  * Several fixes
  * Minor improvements in build system
  * Make Test UI compliant with Gtk+ 3.0
  * Test UI no more long needs GConf
  * Lots of updates in documentation
  * Added manpage for grl-inspect tool
  * Added new API to handle operation cancellation

  * Contributors to this release:
    Alberto Garcia <agarcia@igalia.com>
    Guillaume Emont <guijemont@igalia.com>
    Iago Toral Quiroga <itoral@igalia.com>
    Juan A. Suarez Romero <jasuarez@igalia.com>
    Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>
    Víctor Manuel Jáquez Leal <vjaquez@igalia.com>


NEW in 0.1.15
=============

  * Several fixes
  * Updated documentation
  * Updated grl-inspect tool

  * Contributors to this release:
    Juan A. Suarez Romero <jasuarez@igalia.com>


NEW in 0.1.14
=============

  * Several fixes, including:
    * BGO#628898 - Grilo could do with a function to load a plugin by ID
    * BGO#644383 - [feature-request] Metadata request are not cancellable
  * Re-worked "content-changed" signal: several elements can be sent in just one
    signal
  * Operations in GrlMetadataSource are now cancellable too.

  * Contributors to this release:
    Juan A. Suarez Romero <jasuarez@igalia.com>
    Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>


NEW in 0.1.13
=============

  * Do not store keys without values in GrlData
  * Deprecated grl_data_key_is_known()
  * Deprecated GrlData "overwrite" property
  * Renamed grl_data_get_single_related_keys()
  * Some fixes, including:
    * BGO#645525 - CPU load and grilo requests

  * Contributors to this release:
    Juan A. Suarez Romero <jasuarez@igalia.com>


NEW in 0.1.12
=============

  * Several fixes and improvements, including fixes for:
    * BGO#645542 - grl_metadata_source_set_metadata() broken
  * Added support for caching in GrlNet
  * Added new metadata keys suited for camera pictures
  * Improved GObject Introspection support

  * Contributors to this release:
    Juan A. Suarez Romero <jasuarez@igalia.com>
    Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>
    Michael Wood <michael.g.wood@linux.intel.com>
    Simon Pena <spena@igalia.com>


NEW in 0.1.11
=============

  * Fixed a segmentation fault
  * Added new keys

  * Contributors to this release:
    Juan A. Suarez Romero <jasuarez@igalia.com>
    Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>


NEW in 0.1.10
=============

  * Several fixes
  * Deprecated grl_metadata_source_key_depends() in benefit of grl_metadata_source_may_resolve()
  * Rewritten full resolution mode to handle correctly metadata sources
  * Added support for multi-valued keys.

  * Contributors to this release:
    Guillaume Emont <gemont@igalia.com>
    Juan A. Suarez Romero <jasuarez@igalia.com>
    Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>


NEW in 0.1.9
============

  * Several fixes
  * Added support for content-changed notifications
  * Added support for NULL-text search (aka search all)
  * Added support for cancelled operations notification
  * Added support for binary data in GrlConfig and GrlData
  * Added new configuration key: api-key-blob
  * Added new metadata key: thumbnail-binary

  * Contributors to this release:
    Fabien Lebaillif - Delamare <fabien@developers.arq-media.com>
    Guillaume Emont <gemont@igalia.com>
    Juan A. Suarez Romero <jasuarez@igalia.com>
    Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>
    Víctor Manuel Jáquez Leal <vjaquez@igalia.com>


NEW in 0.1.8
============

  * Several fixes
  * Improved documentation
  * Reworked GrlConfig
  * Added new types and functions in GrlConfig
  * Added padded for public structures
  * Added sync version of grl_media_source_get_media_from_uri()
  * Several fixes and improvements in test-ui

  * Contributors to this release:
    Fabien Lebaillif - Delamare <fabien@developers.arq-media.com>
    Guillaume Emont <gemont@igalia.com>
    Iago Toral Quiroga <itoral@igalia.com>
    Juan A. Suarez Romero <jasuarez@igalia.com>
    Jussi Kukkonen <jku@linux.intel.com>
    Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>


NEW in 0.1.7
============

  * Several fixes, including fixes for:
    * GB#627864 - log: Revamp the log system
    * GB#628506 - rename the GRL_ERROR quark to GRL_CORE_ERROR
    * GB#629369 - Make get_sources and get_sources_by_operations accessible from
      JavaScript
    * GB#630493 - Using full resolution during searches will cause an
      uninitialised pointer access
    * GB#635394 - Add ability to get video URL from page URL, or <embed> URL
  * Added Grilo Net Web Client (GrlNetWc)
  * Implemented grl_multiple_get_media_from_site(): build a GrlMedia from given
    a site url
  * Implemented grl_plugin_registry_add_config_from_file(): load plugin
    configuration from a file
  * Added a GError parameter to GrlPluginRegistry functions that can fail
  * Added new GrlCoreError
  * Log system revamp
  * Improved documentation
  * Improved gobject introspection annotations
  * Improved Vala bindings
  * Using functions instead of definitions in grl-media-plugin
  * Updated tests infrastructure
  * Added new python tests using gobject introspection

  * Contributors to this release:
    Chris Lord <chris@linux.intel.com>
    Damien Lespiau <damien.lespiau@intel.com>
    Fabien Lebaillif - Delamare <fabien@developers.arq-media.com>
    Guillaume Emont <gemont@igalia.com>
    Iago Toral Quiroga <itoral@igalia.com>
    Juan A. Suarez Romero <jasuarez@igalia.com>
    Simon Pena <spena@igalia.com>
    Víctor Manuel Jáquez Leal <vjaquez@igalia.com>


NEW in 0.1.6
============

  * Several fixes, including fixes for GB#620143, GB#62047 and GB#627207
  * Use SILENCE mode when building
  * Added (un)serialization API to GrlMedia
  * New metadata key system based on GParamSpec
  * Added API to get all available keys
  * Added API to initialize Grilo
  * Added API to search in several plugins at the same time
  * Added API with utility functions
  * Added command-line options
  * Use XML to define plugins
  * Added new keys: external-url, external-player, studio, certificate and license
  * grl_media_source_metadata() is cancelable
  * Handle flickr authorization in test-ui
  * Added synchronous functions for the asynchronous partners
  * Added grl-inspect utility
  * Renamed grl_plugin_registry_get_instance() to grl_plugin_registry_get_default()
  * Improved Vala bindings
  * Improved GObject introspection support

    * Contributors to this release:
      Damien Lespiau <damien.lespiau@intel.com>
      Eduardo Lima Mitev <elima@igalia.com>
      Iago Toral Quiroga <itoral@igalia.com>
      iain <iain@linux.intel.com>
      Joaquim Rocha <jrocha@igalia.com>
      Juan A. Suarez Romero <jasuarez@igalia.com>
      Simón Pena <spenap@gmail.com>
      Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
      Xabier Rodriguez Calvar <xrcalvar@igalia.com>


NEW in 0.1.5
============

  * Several fixes
  * Added initial support for tests
  * Code moved to gnome.org
  * Added new documentation: overview, quick start, examples, ...
  * Updated Vala bindings
  * Changed GrlConfig: now keys are strings instead of GrlKeyID
  * Improved build system
  * Added Vimeo plugin support to test-ui

  * Contributors to this release:
      Iago Toral Quiroga <itoral@igalia.com>
      José Dapena Paz <jdapena@igalia.com>
      Juan A. Suarez Romero <jasuarez@igalia.com>
      Stefan Kost <ensonic@users.sf.net>
      Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
      Xabier Rodriguez Calvar <xrcalvar@igalia.com>


NEW in 0.1.4
============

  * Improved documentation
  * General improvements in code
  * Added configuration api for plugins
  * Refactored content classes
  * Added introspection support in build system, and a Javascript sample that
    uses it
  * Aded new api to modify content
  * Added new keys: play-count, last-played and last-position
  * Renamed grl_plugins_get_sources_by_capabilities() to
    grl_plugins_get_sources_by_operations()

  * Contributors to this release:
      Eduardo Lima Mitev <elima@igalia.com>
      Iago Toral Quiroga <itoral@igalia.com>
      Juan A. Suarez Romero <jasuarez@igalia.com>
      Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
      Xabier Rodriguez Calvar <xrcalvar@igalia.com>


NEW in 0.1.3
============

  * Added ranks to plugins
  * Added functions to search sources by capabilities
  * Added a new metadata key: Bitrate
  * Test-UI: some improvements
  * Documentation: add gtk-doc for GrlMediaPlugin and GrlMetadataSource

  * Contributors to this release:
      Iago Toral Quiroga <itoral@igalia.com>
      Juan A. Suarez Romero <jasuarez@igalia.com>
      Víctor Manuel Jáquez Leal <vjaquez@igalia.com>


NEW in 0.1.2
============

  * Improved Vala bindings
  * Fixed some bugs
  * Started initial support for gtk-doc

  * Contributors to this release:
      Juan A. Suarez Romero <jasuarez@igalia.com>
      Víctor Manuel Jáquez Leal <vjaquez@igalia.com>


NEW in 0.1.1
============

  * First release

  * Contributors to this release:
      Iago Toral <itoral@igalia.com>
      Juan A. Suarez Romero <jasuarez@igalia.com>
      Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

